Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.jdbc.kernel
Interface JDBCStore

All Known Implementing Classes:
  DistributedJDBCStoreManager, JDBCStoreManager, SliceStoreManager

    public interface JDBCStore

Represents the JDBC store.

Since:
  0.4.0
Author:
  Abe White

Method Summary
`Object` | `find(Object oid, ValueMapping vm, JDBCFetchConfiguration fetch)` Find the object with the given oid.
`JDBCConfiguration` | `getConfiguration()` Return the configuration for this runtime.
`Connection` | `getConnection()` Return a SQL connection to the database.
`StoreContext` | `getContext()` Current persistence context.
`DBDictionary` | `getDBDictionary()` Return the dictionary in use.
`JDBCFetchConfiguration` | `getFetchConfiguration()` Return the current default fetch configuration.
`JDBCLockManager` | `getLockManager()` If the lock manager in use is a `JDBCLockManager`, return it.
`Connection` | `getNewConnection()` Return a new SQL connection to the database.
`SQLFactory` | `getSQLFactory()` Return the SQL factory for this runtime.
`void` | `loadSubclasses(ClassMapping mapping)` Makes sure all subclasses of the given type are loaded in the JVM.
`Id` | `newDataStoreId(long id, ClassMapping mapping, boolean subs)` Create a new datastore identity object from the given id value and mapping.

Method Detail

### getContext

    StoreContext getContext()

  Current persistence context.

### getConfiguration

    JDBCConfiguration getConfiguration()

  Return the configuration for this runtime.

### getDBDictionary

    DBDictionary getDBDictionary()

  Return the dictionary in use.

### getSQLFactory

    SQLFactory getSQLFactory()

  Return the SQL factory for this runtime.

### getLockManager

    JDBCLockManager getLockManager()

  If the lock manager in use is a `JDBCLockManager`, return it.

### getConnection

    Connection getConnection()

  Return a SQL connection to the database. The `close` method should always be called on the connection to free any resources it is using. When appropriate, the close method is implemented as a no-op.

### getNewConnection

    Connection getNewConnection()

  Return a new SQL connection to the database. This is used when the current connection still has a open result set and a new database operation needs to be done. The `close` method should always be called on the connection to free any resources it is using. When appropriate, the close method is implemented as a no-op.

### getFetchConfiguration

    JDBCFetchConfiguration getFetchConfiguration()

  Return the current default fetch configuration.

### newDataStoreId

    Id newDataStoreId(long id,
                      ClassMapping mapping,
                      boolean subs)

  Create a new datastore identity object from the given id value and mapping.

### find

    Object find(Object oid,
                ValueMapping vm,
                JDBCFetchConfiguration fetch)

  Find the object with the given oid. Convenience method on top of the store's persistence context.

  Parameters:
    `vm` - the mapping holding this oid, or null if not applicable

### loadSubclasses

    void loadSubclasses(ClassMapping mapping)

  Makes sure all subclasses of the given type are loaded in the JVM. This is usually done automatically.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.